Ruby

[Ruby] Ponyで'NoMethodError: undefined method `delivery_method' for Pony:Module Did you mean? define_method'

More than 1 year has passed since last update.

原因

mailライブラリを2.6.6 -> 2.7.0へのアップデート

解決策

Gemfile
gem 'pony', '~> 1.11.0'
gem 'mail', '~> 2.6.0'
$ bundle update

明示的にmailのバージョンを2.6指定して解決

思うこと

Ponyも2年前で更新止まってるので、変えどきかなー